Summary: Library for getting/setting POSIX.1e capabilities
Name: libcap
Version: 2.22
Release: r6.0
License: BSD | GPLv2
Group: base
Packager: Wind River <info@windriver.com>
URL: http://sites.google.com/site/fullycapable/
BuildRequires: attr
BuildRequires: perl-native-runtime
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: libpam

%description
Library for getting/setting POSIX.1e capabilities.

%package -n libcap-dbg
Summary: Library for getting/setting POSIX.1e capabilities - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: libcap2 = 2.22-r6.0

%description -n libcap-dbg
Library for getting/setting POSIX.1e capabilities.  This package contains
ELF symbols and related sources for debugging purposes.

%package -n libcap-staticdev
Summary: Library for getting/setting POSIX.1e capabilities - Development files (Static Libraries)
Group: devel
Requires: libcap-dev = 2.22-r6.0

%description -n libcap-staticdev
Library for getting/setting POSIX.1e capabilities.  This package contains
static libraries for software development.

%package -n libcap-dev
Summary: Library for getting/setting POSIX.1e capabilities - Development files
Group: devel
Requires: libcap2 = 2.22-r6.0
Suggests: libpam-dev
Suggests: attr-dev
Suggests: libc6-dev

%description -n libcap-dev
Library for getting/setting POSIX.1e capabilities.  This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n libcap-doc
Summary: Library for getting/setting POSIX.1e capabilities - Documentation files
Group: doc

%description -n libcap-doc
Library for getting/setting POSIX.1e capabilities.  This package contains
documentation.

%package -n libcap-locale
Summary: Library for getting/setting POSIX.1e capabilities
Group: base

%description -n libcap-locale
Library for getting/setting POSIX.1e capabilities.

%package -n libcap-bin
Summary: Library for getting/setting POSIX.1e capabilities
Group: base
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libcap2 >= 2.22
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.3)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libcap.so.2()(64bit)
Provides: elf(buildid) = 89275b3d4532c93c08396d3df9df28ba633c84ff
Provides: elf(buildid) = 5d096cb5b6f9b2f9c7b1c59a20216b8fed2286d9
Provides: elf(buildid) = ccd4199102ed9f63ef2c2e80e8b59c5b842dd854
Provides: elf(buildid) = 46054c5ff1c9997a708ad497f28c57541f46d099

%description -n libcap-bin
Library for getting/setting POSIX.1e capabilities.

%package -n libcap2
Summary: Library for getting/setting POSIX.1e capabilities
Group: base
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libcap.so.2()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): libcap.so.2()(64bit)
Provides: libcap
Provides: libcap.so.2()(64bit)
Provides: elf(buildid) = a1d7760a6130cb7312c18fbb4d72f66f5d93c9df
Provides: elf(buildid) = 3f2eda48048ca442189aff78fa34fba93433c9ad
Provides: pam_cap.so()(64bit)

%description -n libcap2
Library for getting/setting POSIX.1e capabilities.

%post -n libcap2
# libcap2 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libcap-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/lib64"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/getpcaps"
"/usr/sbin/.debug/getcap"
"/usr/sbin/.debug/capsh"
"/usr/sbin/.debug/setcap"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libcap"
%dir "/usr/src/debug/libcap/2.22-r6"
%dir "/usr/src/debug/libcap/2.22-r6/libcap-2.22"
%dir "/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap"
%dir "/usr/src/debug/libcap/2.22-r6/libcap-2.22/pam_cap"
%dir "/usr/src/debug/libcap/2.22-r6/libcap-2.22/progs"
%dir "/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/include"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/cap_alloc.c"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/libcap.h"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/cap_proc.c"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/cap_names.h"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/cap_extint.c"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/cap_file.c"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/cap_flag.c"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/cap_text.c"
%dir "/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/include/sys"
%dir "/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/include/linux"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/include/sys/capability.h"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/libcap/include/linux/capability.h"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/pam_cap/pam_cap.c"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/progs/getpcaps.c"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/progs/setcap.c"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/progs/getcap.c"
"/usr/src/debug/libcap/2.22-r6/libcap-2.22/progs/capsh.c"
%dir "/lib64/security"
%dir "/lib64/.debug"
%dir "/lib64/security/.debug"
"/lib64/security/.debug/pam_cap.so"
"/lib64/.debug/libcap.so.2.22"

%files -n libcap-staticdev
%defattr(-,-,-,-)
%dir "/lib64"
"/lib64/libcap.a"

%files -n libcap-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/lib64"
%dir "/usr/include"
%dir "/usr/include/sys"
"/usr/include/sys/capability.h"
"/lib64/libcap.so"

%files -n libcap-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
%dir "/usr/share/man/man3"
%dir "/usr/share/man/man1"
"/usr/share/man/man8/getcap.8"
"/usr/share/man/man8/setcap.8"
"/usr/share/man/man3/cap_get_fd.3"
"/usr/share/man/man3/cap_get_bound.3"
"/usr/share/man/man3/cap_dup.3"
"/usr/share/man/man3/cap_set_file.3"
"/usr/share/man/man3/cap_clear_flag.3"
"/usr/share/man/man3/cap_get_flag.3"
"/usr/share/man/man3/cap_set_flag.3"
"/usr/share/man/man3/cap_get_proc.3"
"/usr/share/man/man3/cap_compare.3"
"/usr/share/man/man3/cap_set_proc.3"
"/usr/share/man/man3/cap_clear.3"
"/usr/share/man/man3/cap_free.3"
"/usr/share/man/man3/cap_from_text.3"
"/usr/share/man/man3/cap_get_file.3"
"/usr/share/man/man3/cap_copy_ext.3"
"/usr/share/man/man3/capsetp.3"
"/usr/share/man/man3/cap_size.3"
"/usr/share/man/man3/cap_set_fd.3"
"/usr/share/man/man3/libcap.3"
"/usr/share/man/man3/cap_drop_bound.3"
"/usr/share/man/man3/cap_to_text.3"
"/usr/share/man/man3/cap_get_pid.3"
"/usr/share/man/man3/capgetp.3"
"/usr/share/man/man3/cap_from_name.3"
"/usr/share/man/man3/cap_to_name.3"
"/usr/share/man/man3/cap_copy_int.3"
"/usr/share/man/man3/cap_init.3"
"/usr/share/man/man1/capsh.1"

%files -n libcap-bin
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
"/usr/sbin/getpcaps"
"/usr/sbin/getcap"
"/usr/sbin/capsh"
"/usr/sbin/setcap"

%files -n libcap2
%defattr(-,-,-,-)
%dir "/lib64"
%dir "/lib64/security"
"/lib64/libcap.so.2.22"
"/lib64/libcap.so.2"
"/lib64/security/pam_cap.so"

